libgts-bin_0.7.6+darcs121130-1.2_amd64.deb


Advertisement

Description

libgts-bin - utility binaries for libgts

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgts-bin
Package version 0.7.6+darcs121130
Package release 1.2
Package architecture amd64
Package type deb
Installed size 204 B
Download size 47.26 KB
Official Mirror ftp.br.debian.org
The GTS Library is intended to provide a set of useful functions to
deal with 3D surfaces meshed with interconnected triangles.
This package contains some utility binaries.

Alternatives

Package Version Architecture Repository
libgts-bin_0.7.6+darcs121130-1.2_i386.deb 0.7.6+darcs121130 i386 Debian Main
libgts-bin - - -

Requires

Name Value
libc6 >= 2.7
libglib2.0-0 >= 2.16.0
libgts-0.7-5 = 0.7.6+darcs121130-1.2

Replaces

Name Value
libgts-0.7-1 -
libgts-dev << 0.7.6+darcs121130-1.2

Download

Type URL
Binary Package libgts-bin_0.7.6+darcs121130-1.2_amd64.deb
Source Package gts

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgts-bin deb package:
    # sudo apt-get install libgts-bin

Files

Path
/usr/bin/delaunay
/usr/bin/gts-config
/usr/bin/gts2dxf
/usr/bin/gts2oogl
/usr/bin/gts2stl
/usr/bin/gts2xyz
/usr/bin/gtscheck
/usr/bin/gtscompare
/usr/bin/gtstemplate
/usr/bin/stl2gts
/usr/bin/transform
/usr/share/doc/libgts-bin/changelog.Debian.gz
/usr/share/doc/libgts-bin/changelog.gz
/usr/share/doc/libgts-bin/copyright
/usr/share/man/man1/delaunay.1.gz
/usr/share/man/man1/gts-config.1.gz
/usr/share/man/man1/gts2dxf.1.gz
/usr/share/man/man1/gts2oogl.1.gz
/usr/share/man/man1/gts2stl.1.gz
/usr/share/man/man1/gts2xyz.1.gz
/usr/share/man/man1/gtscheck.1.gz
/usr/share/man/man1/gtscompare.1.gz
/usr/share/man/man1/gtstemplate.1.gz
/usr/share/man/man1/happrox.1.gz
/usr/share/man/man1/stl2gts.1.gz
/usr/share/man/man1/transform.1.gz

Changelog

2014-04-15 - Anton Gladky <gladk@debian.org>
gts (0.7.6+darcs121130-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Disable two_segments test. Fails on some archs.
2014-04-15 - Anton Gladky <gladk@debian.org>
gts (0.7.6+darcs121130-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Disable some more tests, which are failing on kfreebsd-amd64, s390x and
powerpc. (Closes: #743322)
* Use autoreconf instead autotools_dev. (Closes: #744591)
* Bump Standards-Version: 3.9.5. No changes.
2013-09-04 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs121130-1) unstable; urgency=low
* New upstream version: 0.7.6+darcs121130 (Closes: #660492)
* Incorporate and acknowledge the changes from the NMU (Thanks Luk)
* Remove libgts-doc package. Documentation has been broken for a
while because some recent tarballs did not include all the required
files. This tarball removes them completetly. New documentation
seems to be in preparation by upstream but it is not yet complete,
(Closes: #645622)
* Update to follow Standards-Version 3.9.4 instead of 3.9.1
* Add a new patch discarding tests which are expected to fail:
failed-tests
* Add a new patch with a missing manpage: gts2xyz-manpage
* Update override_dh_auto_test to run remaining tests
* Update debian/copyright
* Add new symbol: gts_file_new_from_buffer@Base
* Update for Multi-Arch
+ Set debian/compat to 9
+ Set Build-Depends: debhelper to >=9
+ Add Pre-Depends: ${misc:Pre-Depends} for libgts-0.7-5
+ Add Multi-Arch stanzas for each binary package
+ Add DEB_HOST_MULTIARCH to debian/rules
+ Add libgts-dev.links.in (dev-pkg-without-shlib-symlink)
+ Add override_dh_auto_configure for libgts-dev.links generation
+ Update debian/*.install with /usr/lib/*/
2011-05-31 - Luk Claes <luk@debian.org>
gts (0.7.6+darcs110121-1.1) unstable; urgency=low
* Non-maintainer upload.
* Remove references to other libraries from dependency_libs field
(Closes: #620605)
2011-02-13 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs110121-1) unstable; urgency=low
* New upstream version
+ Fixed hanging last read for gts_graph_read()
+ Added missing -lm library (Closes: #554757)
(Thanks to Fabrice Coutadeur)
+ Solved formatting issues in manpages (Closes: #605493)
(Thanks to BenoƮt Knecht)
* Updating Standards-Version to 3.9.1 (no changes)
* Updating debian/copyrigth with DEP-5 format, Rev 166.
* Migrating rules to dh7 and removing cdbs B-D
* Increasing debhelper versioning (as needed for remaining-packages)
2010-03-28 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs100321-1) unstable; urgency=low
* New upstream version
* Standards-Version bumped to 3.8.4 (no changes)
* Adds doc-base registration for libgts-doc
* Migrated to source format 3.0
2009-06-07 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs090508-1) unstable; urgency=low
* New upstream version
* Standards-Version bumped to 3.8.1 (no changes)
* Section for libgts-dbg changed to debug
* Updated links on debian/copyright
* Solved override disparities for libgts-0.7-5
* Improved descriptions
2008-07-22 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs080704-2) unstable; urgency=low
* Added Depends on libgts-0.7-5 for libgts-dev
* Added symbols control file
2008-07-04 - Ruben Molina <rmolina@udea.edu.co>
gts (0.7.6+darcs080704-1) unstable; urgency=low
* Acknowledge previous NMU
* New upstream version
* New maintainer (Closes: #471987)
* Standards-Version updated to 3.8.0
* Solved override disparities for libgts-dev
* Migrated to CDBS
* Added a new binary package with debugging symbols
* tools/srf2oogl.1: Removed (tool deprecated)
* Added new man pages
* Added watch file 
* Restored missing docs to libgts-doc (Closes: #395846)
* Added Replaces for libgts-0.7-1 (Closes: #422900)
* Split binaries into libgts-bin (Closes: #465190)
* Removed unneeded dependencies (Closes: #465189)

See Also

Package Description
libgts-dev_0.7.6+darcs121130-1.2_amd64.deb development files for libgts
libguac-client-rdp0_0.8.3-1+b2_amd64.deb RDP support plugin for Guacamole
libguac-client-ssh0_0.8.3-1+b2_amd64.deb SSH support plugin for Guacamole
libguac-client-vnc0_0.8.3-1+b2_amd64.deb VNC support plugin for Guacamole
libguac-dev_0.8.3-1+b2_amd64.deb Development headers for the core Guacamole library
libguac3_0.6.0-2_amd64.deb Core Guacamole library used by guacd and client plugins
libguac5_0.8.3-1+b2_amd64.deb Core Guacamole library used by guacd and client plugins
libguard-perl_1.022-2+b1_amd64.deb Perl module providing safe cleanup using guard objects
libguava-java-doc_17.0-1_all.deb documentation for libguava-java
libguava-java_17.0-1_all.deb suite of Google Common Libraries for Java 5.0
libgucharmap-2-90-7_3.14.1-1_amd64.deb Unicode browser widget library (shared library)
libgucharmap-2-90-dev_3.14.1-1_amd64.deb Unicode browser widget library (development headers)
libgudev-1.0-0_215-17+deb8u7_amd64.deb GObject-based wrapper library for libudev
libgudev-1.0-dev_215-17+deb8u7_amd64.deb libgudev-1.0 development files
libgudev1.0-cil-dev_0.1-3_all.deb GObject-based wrapper library for libudev -- CLI development files
Advertisement
Advertisement